#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(st_magn_get_settings, "", "IIO_ST_SENSORS");
KSYMTAB_FUNC(st_magn_common_probe, "", "IIO_ST_SENSORS");

SYMBOL_CRC(st_magn_get_settings, 0x3f41da9c, "");
SYMBOL_CRC(st_magn_common_probe, 0x39f03fdb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f73766e, "st_sensors_read_info_raw" },
	{ 0xffaefa7c, "st_sensors_verify_id" },
	{ 0x37a43597, "st_sensors_sysfs_scale_avail" },
	{ 0x90bfd659, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xb07de0f8, "st_sensors_set_odr" },
	{ 0x9795360b, "st_sensors_get_settings_index" },
	{ 0xc76be58c, "st_sensors_debugfs_reg_access" },
	{ 0x95222f7e, "iio_show_mount_matrix" },
	{ 0xb732ebc8, "st_sensors_init_sensor" },
	{ 0xe616671f, "__devm_iio_device_register" },
	{ 0x26091902, "iio_read_mount_matrix" },
	{ 0x9cb86c0, "st_sensors_validate_device" },
	{ 0xebcee03f, "st_sensors_set_fullscale_by_gain" },
	{ 0x8c6f4fa3, "st_sensors_allocate_trigger" },
	{ 0x7eb6ae1a, "st_sensors_sysfs_sampling_frequency_avail" },
	{ 0x74d7047, "st_sensors_trigger_handler" },
	{ 0x3d0d6c00, "st_sensors_set_enable" },
	{ 0xed9e6db6, "st_sensors_set_dataready_irq" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "st_sensors,industrialio-triggered-buffer,industrialio");

